CVE-2017-7561
CVSS5.0
发布时间 :2017-09-13 13:29:00
修订时间 :2017-09-29 18:20:44
NMS    

[原文]Red Hat JBoss EAP version 3.0.7 through before 4.0.0.Beta1 is vulnerable to a server-side cache poisoning or CORS requests in the JAX-RS component resulting in a moderate impact.


[CNNVD]CNNVD数据暂缺。


[机译]译文暂缺.

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-19 [数据处理]

- CPE (受影响的平台与产品)

cpe:/a:redhat:jboss_enterprise_application_platform:3.1.2
cpe:/a:redhat:jboss_enterprise_application_platform:3.3.0
cpe:/a:redhat:jboss_enterprise_application_platform:3.1.5
cpe:/a:redhat:jboss_enterprise_application_platform:3.2.4
cpe:/a:redhat:jboss_enterprise_application_platform:3.5.1
cpe:/a:redhat:jboss_enterprise_application_platform:3.1.0
cpe:/a:redhat:jboss_enterprise_application_platform:3.1.1
cpe:/a:redhat:jboss_enterprise_application_platform:3.2.13
cpe:/a:redhat:jboss_enterprise_application_platform:3.0.7
cpe:/a:redhat:jboss_enterprise_application_platform:3.2.5
cpe:/a:redhat:jboss_enterprise_application_platform:3.1.4
cpe:/a:redhat:jboss_enterprise_application_platform:3.2.3
cpe:/a:redhat:jboss_enterprise_application_platform:3.0.8
cpe:/a:redhat:jboss_enterprise_application_platform:3.2.9

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-7561
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-7561
(官方数据源) NVD

- 其它链接及资源

http://www.securityfocus.com/bid/100465
(VENDOR_ADVISORY)  BID  100465
https://issues.jboss.org/browse/RESTEASY-1704
(VENDOR_ADVISORY)  MISC  https://issues.jboss.org/browse/RESTEASY-1704

- 漏洞信息

RedHat RESTEasy CVE-2017-7561 HTTP Header Injection Vulnerability
Design Error 100465
Yes No
2017-08-22 12:00:00 2017-08-22 12:00:00
Jason Shepherd (Red Hat Product Security).

- 受影响的程序版本

Redhat Resteasy 3.1.4
Redhat Resteasy 3.1.3
Redhat Resteasy 3.1.1
Redhat Resteasy 3.1
Redhat Resteasy 3.0.24
Redhat Resteasy 3.0.23
Redhat Resteasy 3.0.21
Redhat Resteasy 3.0.19
Redhat Resteasy 3.0.18
Redhat Resteasy 3.0.17
Redhat Resteasy 3.0.12
Redhat Resteasy 3.0.11
Redhat Resteasy 3.0.10
Redhat Resteasy 3.1.2
Redhat Resteasy 3.0.9
Redhat Resteasy 3.0.8
Redhat Resteasy 3.0.7
Redhat Resteasy 3.0.22
Redhat JBoss Fuse 6.0
Redhat Jboss EAP 7.0
Redhat JBoss Data Grid 7.0.0
Redhat JBoss A-MQ 6.0

- 漏洞讨论

RedHat RESTEasy is prone to an HTTP header-injection vulnerability.

An attacker can exploit this issue to inject arbitrary HTTP headers into a server response that could help to bypass security controls, perform cache poisoning and alter request or response page. This may aid in further attacks.

RedHat RESTEasy 3.0.7 and later are vulnerable.

- 漏洞利用

Currently, we are not aware of any working exploits. If you feel we are in error or if you are aware of more recent information, please mail us at: vuldb@securityfocus.com.

- 解决方案

Currently we are not aware of any vendor-supplied patches. If you feel we are in error or if you are aware of more recent information, please mail us at: vuldb@securityfocus.com

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站